Bug 1823911 (CVE-2020-11740) - CVE-2020-11740 xen: xenoprof issue allows guest OS users without active profiling to obtain sensitive information about other guests (XSA-313)
Summary: CVE-2020-11740 xen: xenoprof issue allows guest OS users without active profi...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2020-11740
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1823912
Blocks: 1823917
TreeView+ depends on / blocked
 
Reported: 2020-04-14 19:11 UTC by Guilherme de Almeida Suckevicz
Modified: 2020-08-24 16:26 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in xenoprof in Xen through versions 4.13.x. Unprivileged guests can request to map xenoprof buffers, even if profiling has not been enabled for those guests to obtain sensitive information about other guests. The highest threat from this vulnerability is to data confidentiality.
Clone Of:
Environment:
Last Closed: 2020-04-16 15:47:14 UTC


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2020-04-14 19:11:20 UTC
An issue was discovered in xenoprof in Xen through 4.13.x, allowing guest OS users (without active profiling) to obtain sensitive information about other guests. Unprivileged guests can request to map xenoprof buffers, even if profiling has not been enabled for those guests. These buffers were not scrubbed.

Reference:
https://xenbits.xen.org/xsa/advisory-313.html

Comment 1 Guilherme de Almeida Suckevicz 2020-04-14 19:11:40 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1823912]


Note You need to log in before you can comment on or make changes to this bug.